# Class WeakItemListener

java.lang.Object
uk.ac.starlink.util.gui.WeakItemListener

All Implemented Interfaces:
  `ItemListener, EventListener`

public class WeakItemListener extends Object implements ItemListener
Item listener which delegates to another one as long as it is reachable, but only retains a weak reference to it. Adding a listener to an object in this way will not prevent the listener (and any of its references) from being garbage collected.

Since:
  20 Jan 2005
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`WeakItemListener(ItemListener base)`
Constructs a new listener based on an existing one.

## Method Summary

Modifier and Type
Method
Description
`void`
`itemStateChanged(ItemEvent evt)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WeakItemListener

public WeakItemListener(ItemListener base)
Constructs a new listener based on an existing one.

Parameters:
  `base` - listener

## Method Details

### itemStateChanged

public void itemStateChanged(ItemEvent evt)

Specified by:
  `itemStateChanged` in interface `ItemListener`